<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" fixedInViewport [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
    [mode]="(isHandset$ | async) ? 'over' : 'side'" [opened]="(isHandset$ | async) === false">
    <mat-toolbar>Athena Menu</mat-toolbar>
    <mat-nav-list>
      <a *ngIf="!isLogged" mat-list-item [routerLink]="['/']" routerLinkActive="active"
        [routerLinkActiveOptions]="{ exact: true }">
        <mat-icon matListIcon>home</mat-icon>
        <p matLine>Home</p>
      </a>
      <a *ngIf="isLogged" mat-list-item [routerLink]="['/home']" routerLinkActive="active"
        [routerLinkActiveOptions]="{ exact: true }">
        <mat-icon matListIcon>home</mat-icon>
        <p matLine>Home</p>
      </a>
      <ng-container *ngIf="!isLogged">
        <a mat-list-item [routerLink]="['/signup']" routerLinkActive="active">
          <mat-icon matListIcon>person_add</mat-icon>
          <span matLine>Sign Up</span>
        </a>
        <a mat-list-item [routerLink]="['/login']" routerLinkActive="active">
          <mat-icon matListIcon>fingerprint</mat-icon>
          <span matLine>Log In</span>
        </a>
      </ng-container>
      <ng-container *ngIf="isLogged">
        <a mat-list-item [routerLink]="['./home/search']" routerLinkActive="active">
          <mat-icon matListIcon>search</mat-icon>
          <span matLine>Search</span>
        </a>
        <a mat-list-item [routerLink]="['/home', 'study-sets']" routerLinkActive="active">
          <mat-icon matListIcon>school</mat-icon>
          <span matLine>Your Study Sets</span>
        </a>
        <a mat-list-item [routerLink]="['/home', 'folders']" routerLinkActive="active">
          <mat-icon matListIcon>folder</mat-icon>
          <span matLine>Your Folders</span>
        </a>
        <a mat-list-item [routerLink]="['/home', 'profile']" routerLinkActive="active">
          <mat-icon matListIcon>person</mat-icon>
          <span matLine>Your Profile</span>
        </a>
        <a mat-list-item (click)="openDialog()">
          <mat-icon matListIcon>exit_to_app</mat-icon>
          <span matLine>Log Out</span>
        </a>
      </ng-container>
      <a mat-list-item [routerLink]="['/about']" routerLinkActive="active">
        <mat-icon matListIcon>help</mat-icon>
        <span matLine>About</span>
      </a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button type="button" aria-label="Toggle sidenav" mat-icon-button (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span class="is-size-4"> Athena App</span>
      <span class="example-spacer"></span>
      <mat-slide-toggle (change)="onDarkModeSwitch($event)">
        <mat-icon>bedtime</mat-icon>
      </mat-slide-toggle>
    </mat-toolbar>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
